Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::SpookyHash Class Reference

## Public Member Functions

void | Init (uint64_t seed1, uint64_t seed2)
void | Update (const void *message, size_t length)
void | Final (uint64_t *hash1, uint64_t *hash2)

## Static Public Member Functions

static void | Hash128 (const void *message, size_t length, uint64_t *hash1, uint64_t *hash2)
static uint64_t | Hash64 (const void *message, size_t length, uint64_t seed)
static uint32_t | Hash32 (const void *message, size_t length, uint32_t seed)
static uint64_t | Rot64 (uint64_t x, int k)
static void | Mix (const uint64_t *data, uint64_t &s0, uint64_t &s1, uint64_t &s2, uint64_t &s3, uint64_t &s4, uint64_t &s5, uint64_t &s6, uint64_t &s7, uint64_t &s8, uint64_t &s9, uint64_t &s10, uint64_t &s11)
static void | EndPartial (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3, uint64_t &h4, uint64_t &h5, uint64_t &h6, uint64_t &h7, uint64_t &h8, uint64_t &h9, uint64_t &h10, uint64_t &h11)
static void | End (const uint64_t *data, uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3, uint64_t &h4, uint64_t &h5, uint64_t &h6, uint64_t &h7, uint64_t &h8, uint64_t &h9, uint64_t &h10, uint64_t &h11)
static void | ShortMix (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3)
static void | ShortEnd (uint64_t &h0, uint64_t &h1, uint64_t &h2, uint64_t &h3)

The documentation for this class was generated from the following files:

- Util/SpookyV2.h
- Util/SpookyV2.cpp